Package: org.apache.groovy.contracts.domain

## [Java] Class Postcondition

- org.apache.groovy.contracts.domain.Postcondition

-     public class Postcondition
      extends Assertion

  A post-condition assertion.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Postcondition()`
    `Postcondition(BlockStatement blockStatement, BooleanExpression booleanExpression, boolean isPartOfConstructor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isPartOfConstructor()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Assertion` | `and, booleanExpression, or, originalBlockStatement, renew`

- - ### Constructor Detail

    - #### public Postcondition()

    - #### public Postcondition(BlockStatement blockStatement, BooleanExpression booleanExpression, boolean isPartOfConstructor)

  - ### Method Detail

    - #### public boolean isPartOfConstructor()